package com.redxun.knowledge.entity.dto;

import lombok.Data;

// 知识DTO
@Data
public class knowledgeDto {

    // 知识分类ID
    private String categoryId;

    // 知识类型 1-文档知识 2-维基知识
    private Integer type;

    // 知识标题
    private String title;

    // 知识概要
    private String summary;

    // 知识内容
    private String content;

    // 附件ID
    private String attachment;

    // 附件类型 1-WORD(.doc、.docx) 2-PDF(.pdf) 3-PPT(.pptx) 4-EXCEL(.xls、.xlsx)
    private Integer attachmentType;
}
